MCP tools
list_devices
List the devices this client may use (phones, tablets, simulators and emulators), with their state.
| REST operation | listDevices (GET /v1/devices) |
| Needs a device | no |
| Read only | yes |
| Profiles | core, testing, full |
Parameters
Section titled “Parameters”| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
platform |
no | ios, android |
query platform |
|
kind |
no | physical, simulator, emulator, remote |
query kind |
|
label |
no | string | query label |
|
state |
no | ready, busy, leased, locked, needsSetup, connecting, disconnected |
query state |
Example call
Section titled “Example call”list_devices({})